## org.exist.xquery
Class SelfSelector

    java.lang.Object
      org.exist.xquery.SelfSelector

All Implemented Interfaces:
  NodeSelector

public class SelfSelector
extends java.lang.Object
implements NodeSelector

Author:
  wolf

Constructor Summary
`SelfSelector(NodeSet contextSet, int contextId)`

Method Summary
`NodeProxy` `match(DocumentImpl doc, NodeId nodeId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelfSelector

    public SelfSelector(NodeSet contextSet,
                        int contextId)

Method Detail

### match

    public NodeProxy match(DocumentImpl doc,
                           NodeId nodeId)

  Specified by:
    `match` in interface `NodeSelector`

Copyright (C) Wolfgang Meier. All rights reserved.